# TdApi.CallState (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CallState

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallState

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallState

Direct Known Subclasses:
  `TdApi.CallStateDiscarded`, `TdApi.CallStateError`, `TdApi.CallStateExchangingKeys`, `TdApi.CallStateHangingUp`, `TdApi.CallStatePending`, `TdApi.CallStateReady`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.CallState extends TdApi.Object permits TdApi.CallStatePending, TdApi.CallStateExchangingKeys, TdApi.CallStateReady, TdApi.CallStateHangingUp, TdApi.CallStateDiscarded, TdApi.CallStateError
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`CallState()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CallState

public CallState()